Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodeclonegetparentnull Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodeclonegetparentnull (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The duplicate node returned by the "cloneNode(deep)" method does not have a ParentNode.

Retrieve the second employee and invoke the "cloneNode(deep)" method with deep=false. The duplicate node returned should return null when the "getParentNode()" is invoked.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-3A0ED0A4

Definition at line 45 of file nodeclonegetparentnull.java.

## Constructor & Destructor Documentation

nodeclonegetparentnull::nodeclonegetparentnull | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 47 of file nodeclonegetparentnull.java.
    00048  {
    00049       super(factory);
    00050
    00051    }

## Member Function Documentation

String nodeclonegetparentnull::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 67 of file nodeclonegetparentnull.java.
    00067                                 {
    00068       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodeclonegetparentnull";
    00069    }

void nodeclonegetparentnull::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 70 of file nodeclonegetparentnull.java. References DOMTestCase::doMain().
    00070                                           {
    00071         DOMTestCase.doMain(nodeclonegetparentnull.class,args);
    00072    }

void nodeclonegetparentnull::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 53 of file nodeclonegetparentnull.java. References DOMTestCase::assertNull(), and DOMTest::load().
    00053                                                     {
    00054       Document doc;
    00055       NodeList elementList;
    00056       Node employeeNode;
    00057       Node clonedNode;
    00058       Node parentNode;
    00059       doc = load("staff");
    00060       elementList = doc.getElementsByTagName("employee");
    00061       employeeNode = elementList.item(1);
    00062       clonedNode = employeeNode.cloneNode(false);
    00063       parentNode = clonedNode.getParentNode();
    00064       assertNull("nodeCloneGetParentNullAssert1",parentNode);
    00065
    00066    }

The documentation for this class was generated from the following file:

- nodeclonegetparentnull.java